Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156910 - Encoding selection is lost in OOo file dialog
Summary: Encoding selection is lost in OOo file dialog
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-05 05:56 UTC by Leon Ho
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-30 10:16:53 UTC


Attachments (Terms of Use)
ja_JP-eucJP.txt (deleted)
2005-05-09 03:19 UTC, Leon Ho
no flags Details
ja_JP-SJIS.txt (deleted)
2005-05-09 03:19 UTC, Leon Ho
no flags Details
the "Text Encoded" option in the file open dialog (deleted)
2005-05-30 10:10 UTC, Caolan McNamara
no flags Details
the dialog that opens after the .txt file is then selected (deleted)
2005-05-30 10:12 UTC, Caolan McNamara
no flags Details
the shift-jis example opened (deleted)
2005-05-30 10:14 UTC, Caolan McNamara
no flags Details

Description Leon Ho 2005-05-05 05:56:13 UTC
Description of problem:
AFAIR, there are some sort of encoding selection in file dialog in older version
of openoffice.org to enable user to select what encoding is the documentation.
However I cannot see with current OpenOffice with new GTK2 file dialog.

Version-Release number of selected component (if applicable):
1.9.96-2

How reproducible:
everytime

Steps to Reproduce:
1. OOwriter
2. File -> Open
3. Cannot choose file encoding
4. Choose a document in native encoding, such as eucJP
  
Actual results:
file content is scrambled

Expected results:
file content should be read correctly

Additional info:

Comment 1 Caolan McNamara 2005-05-05 08:23:26 UTC
Should still be there as "Text Encoded" which opens the .txt file and pops up a
dialog to request the format. Try in a recent OOo e.g. 1.9.100-1

Comment 2 Leon Ho 2005-05-09 03:18:05 UTC
Just tried with 1.9.100-1 but cannot see that dialog. Will attach eucJP and
ShiftJIS encoded for you to test.

Also does opening .sxw or .doc have similar functions?



Comment 3 Leon Ho 2005-05-09 03:19:24 UTC
Created attachment 114149 [details]
ja_JP-eucJP.txt

Comment 4 Leon Ho 2005-05-09 03:19:57 UTC
Created attachment 114150 [details]
ja_JP-SJIS.txt

Comment 5 Caolan McNamara 2005-05-30 10:10:54 UTC
Created attachment 114969 [details]
the "Text Encoded" option in the file open dialog

Comment 6 Caolan McNamara 2005-05-30 10:12:27 UTC
Created attachment 114970 [details]
the dialog that opens after the .txt file is then selected

Comment 7 Caolan McNamara 2005-05-30 10:14:09 UTC
Created attachment 114971 [details]
the shift-jis example opened

Comment 8 Caolan McNamara 2005-05-30 10:16:53 UTC
The three pictures show how to specifically set the text encoding of a txt file.
Select filter of "Text Encoded", open the file, the dialog appears. Override the
encoding and font etc and I get the two documents to open in what appears the
right way.

.sxw/.docs have no such "override" stuff as it doesn't make sense for them.
.sxws are in utf-8 and .docs are generally in ucs-2, and when not specify
internally the encoding they were written in.


Note You need to log in before you can comment on or make changes to this bug.